Redmine - Feature #6846

Add VIM-like keyboard shortcuts
2010-11-08 01:26 - David Petersen

Status: New Start date: 2010-11-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Unplanned backlogs

Resolution:

Description

It would be very sweet to be able to navigation the issues list from the keyboard.

examples:

j: down

k: up

0: open/view issue
x: select issue (allowing for multiple issue selection)
?: show keyboard shortcut help

| am sure there are more that would be helpful

Related issues:

Related to Redmine - Feature #449: Keyboard shortcuts Reopened
Has duplicate Redmine - Feature #27401: Switch from View ticket to Edit Ticke... Closed
History

#1 - 2010-11-13 11:57 - Jean-Philippe Lang
- Category changed from Issues to Ul

- Target version set to Unplanned backlogs

#2 - 2010-11-23 17:36 - Paolo Sulprizio

is not related to #4497
#3 - 2011-01-16 15:52 - Jean-Philippe Lang
Paolo Sulprizio wrote:

is not related to #4497

Kind of. But here we're speaking about javascript based shortcuts that do not require using Ctrl/Alt/Shift keys like regular html accesskeys.

#4 - 2011-03-15 18:31 - Steve Koppelman

Shortcuts assigned to unmodified keys would also have the advantage of being likely to work on OS X instead of being overridden by system
keybindings. :)

#5 - 2011-11-11 16:11 - Austin Smith
I've implemented these shortcuts in a plugin: https:/github.com/netaustin/redmine_keyboard_shortcuts

It still needs testing, but it supports these features and more in Chrome and FF.

#6 - 2011-12-09 22:39 - Brian Jacobi

Anyone test this yet? When we POC'ed Jira, users really liked having the shortcuts available

#7 - 2012-05-10 05:55 - Steven Wong

that's it .i used for firefox.

but it could not support the internet explorer.
Austin Smith wrote:

I've implemented these shortcuts in a plugin: https:/github.com/netaustin/redmine_keyboard_shortcuts

It still needs testing, but it supports these features and more in Chrome and FF.

#8 - 2013-09-16 20:59 - Arkhitech - More, Better, Faster!

+1 for adding this feature. Redmine is missing this key feature which is now becoming quite hot, and time is ticking.

#9 - 2014-02-09 22:46 - Anonymous

+1

#10 - 2014-05-08 02:02 - Szabolcs Szasz

Would be nice to rename this isse, and the related plugin, to "VIM-like" shortcuts. (Or, better yet (but harder): shift the focus explicitly toward
customizable shortcuts.)

Most of those, who also desperately need keyboard shortcuts in general for Redmine, but come (e.g. here, via Google) from all the various other

directions than vi, may feel a bit puzzled about why "the" keyboard shortcuts feature of Redmine should mean e.g. "k" for up and "j" for down. ;)
Cheers!

#11 - 2014-06-04 01:44 - Toshi MARUYAMA
- Subject changed from Add keyboard shortcuts to Add VIM-like keyboard shortcuts

#12 - 2014-06-04 01:44 - Toshi MARUYAMA

Szabolcs Szasz wrote:

Would be nice to rename this isse, and the related plugin, to "VIM-like" shortcuts.

Done.

#13 - 2017-11-09 02:45 - Mischa The Evil
- Has duplicate Feature #27401: Switch from View ticket to Edit Ticket - hit the button E on your keyboard added

2025-07-11 22


https://github.com/netaustin/redmine_keyboard_shortcuts
http://www.tcpdf.org

